# LECTURA Y ESPAÑOLIZACIÓN  DATA SET LONGLEY SOBRE EL PIB US Y EL DESEMPLEO
# uso en modo explicativo  (default): Z <- f_longley() 
# uso en modo silencioso            : Z <- f_longley(FALSE) 
f_longley <- function(verbose = TRUE){
  require(stats)      # estadísticas básicas
  require(graphics)   # gráficos básicos
  require(dplyr)      # librería de menipulación de datos
  source("pair_panels.R")
  Z <- data.frame(longley[, 1:7],row.names = NULL) # lectura 
  Z <- rename(Z,      # inglés  -> español
              anio =  Year,
              indice_PIB= GNP.deflator, 
              PIB=GNP,
              desempleados =  Unemployed, 
              militares =  Armed.Forces, 
              poblacion  =	Population,
              empleados = Employed)
  
  orden  <- sort(names(Z))     # obtener las columnas por orden alfabético
  Z <- data.frame(Z[,ordre])  # volver a clasificar las columnas (podríamos haberlo hecho
                              # manualmente con orden <- c("anio","desempleados"...))
  
  if (verbose){
    glimpse(Z)          # ver qué hay en los datos
    pairs(Z,diag.panel = panel.hist,
          upper.panel = panel.cor,
          lower.panel = panel.smooth,
          main ="visualizacion rapida : data longley")
    y <- data.frame(empleados = Z$empleados) # destino para la REGRESSION
    X <- select(Z, - empleados)                 # features
    print(summary(lm(y[,1]~ .,X)) )                # REGRESSION TEST
  }
  Z                                                # devuelve el  data_frame                                     
}



